## org.biojava.bio.program.tagvalue
Interface TagValueParser

All Known Implementing Classes:
  LineSplitParser, RegexParser

    public interface TagValueParser

Tokenize single records (lines of text, objects) into a tag and a value.

TagValueParser instances may be stateful, that is they may remember previous values of tags or values, and return different TagValue responses accordingly.

Since:
  1.2
Author:
  Matthew Pocock, Keith James

Field Summary
`static String` `EMPTY_LINE_EOR` `EMPTY_LINE_EOR` is a special EOR value which allows an empty line to be used as a record separator.

Method Summary
`TagValue` `parse(Object record)`

Field Detail

### EMPTY_LINE_EOR

    static final String EMPTY_LINE_EOR

  `EMPTY_LINE_EOR` is a special EOR value which allows an empty line to be used as a record separator. Normally this is not possible as the empty line will be swallowed by the preceding tag or value. Use this as an argument to the `setEndOfRecord` method.

  An empty line is defined as a line which contains nothing between the start and the following system-defined line separator. Therefore lines which contain only whitespace are not considererd to be empty.

  See Also:
    Constant Field Values

Method Detail

### parse

    TagValue parse(Object record)
                   throws ParserException

  Throws:
    `ParserException`